org.appng.core.domain

## Class ValidationPatterns

- java.lang.Object
- - org.appng.core.domain.ValidationPatterns

-     public class ValidationPatterns
      extends Object

  Utility class providing constants for commonly used validation patterns
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOMAIN_MSSG`
    `static String` | `DOMAIN_PATTERN`
    `static String` | `EMAIL_PATTERN`
    `static String` | `HOST_MSSG`
    `static String` | `HOST_PATTERN`
    `static int` | `LENGTH_255`
    `static int` | `LENGTH_64`
    `static int` | `LENGTH_8192`
    `static String` | `NAME_MSSG`
    `static String` | `NAME_PATTERN`
    `static String` | `NAME_STRICT_MSSG`
    `static String` | `NAME_STRICT_PATTERN`
    `static String` | `PERMISSON_MSSG`
    `static String` | `PERMISSON_PATTERN`
    `static String` | `USERNAME_GROUP_MSSG`
    `static String` | `USERNAME_MSSG`
    `static String` | `USERNAME_OR_LDAPGROUP_PATTERN`
    `static String` | `USERNAME_PATTERN`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_PATTERN

          public static final String NAME_PATTERN

      See Also:
        Constant Field Values

    - #### NAME_STRICT_PATTERN

          public static final String NAME_STRICT_PATTERN

      See Also:
        Constant Field Values

    - #### PERMISSON_PATTERN

          public static final String PERMISSON_PATTERN

      See Also:
        Constant Field Values

    - #### HOST_PATTERN

          public static final String HOST_PATTERN

      See Also:
        Constant Field Values

    - #### DOMAIN_PATTERN

          public static final String DOMAIN_PATTERN

      See Also:
        Constant Field Values

    - #### EMAIL_PATTERN

          public static final String EMAIL_PATTERN

      See Also:
        Constant Field Values

    - #### USERNAME_PATTERN

          public static final String USERNAME_PATTERN

      See Also:
        Constant Field Values

    - #### USERNAME_OR_LDAPGROUP_PATTERN

          public static final String USERNAME_OR_LDAPGROUP_PATTERN

      See Also:
        Constant Field Values

    - #### NAME_MSSG

          public static final String NAME_MSSG

      See Also:
        Constant Field Values

    - #### NAME_STRICT_MSSG

          public static final String NAME_STRICT_MSSG

      See Also:
        Constant Field Values

    - #### PERMISSON_MSSG

          public static final String PERMISSON_MSSG

      See Also:
        Constant Field Values

    - #### HOST_MSSG

          public static final String HOST_MSSG

      See Also:
        Constant Field Values

    - #### DOMAIN_MSSG

          public static final String DOMAIN_MSSG

      See Also:
        Constant Field Values

    - #### USERNAME_MSSG

          public static final String USERNAME_MSSG

      See Also:
        Constant Field Values

    - #### USERNAME_GROUP_MSSG

          public static final String USERNAME_GROUP_MSSG

      See Also:
        Constant Field Values

    - #### LENGTH_8192

          public static final int LENGTH_8192

      See Also:
        Constant Field Values

    - #### LENGTH_64

          public static final int LENGTH_64

      See Also:
        Constant Field Values

    - #### LENGTH_255

          public static final int LENGTH_255

      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.